[Overview][Constants][Classes][Index] | Reference for unit 'ezcgi' (#fcl)

# TEZcgi.WriteContent

Writes the content type to standard output

## Declaration

Source position: ezcgi.pp line 64

`public procedure TEZcgi.WriteContent(`
`ctype: string`
`);`

## Arguments

`ctype` |  | Content type

## Description

WriteContent writes the content type cType to standard output, followed by an empty line. After this method was called, no more HTTP headers may be written to standard output. Any HTTP headers should be written before WriteContent is called. It should be called from the DoPost or DoGet methods.

## See also

DoPost |  | Method to handle POST requests
DoGet |  | Method to handle GET requests
PutLine |  | Send a line of output to the web-client

Documentation generated on: Feb 26 2014